org.eclipse.oomph.setup.log

## Class ProgressLogMonitor

- java.lang.Object
- - org.eclipse.core.runtime.ProgressMonitorWrapper
  - - org.eclipse.oomph.setup.log.ProgressLogMonitor

- All Implemented Interfaces:
    IProgressMonitor, IProgressMonitorWithBlocking

      public class ProgressLogMonitor
      extends ProgressMonitorWrapper

  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.core.runtime.IProgressMonitor

      `UNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProgressLogMonitor(ProgressLog log)`
    `ProgressLogMonitor(ProgressLog log, IProgressMonitor delegate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beginTask(String name, int totalWork)`
    `boolean` | `isCanceled()`
    `void` | `setTaskName(String name)`
    `void` | `subTask(String name)`

    - ### Methods inherited from class org.eclipse.core.runtime.ProgressMonitorWrapper

      `clearBlocked, done, getWrappedProgressMonitor, internalWorked, setBlocked, setCanceled, worked`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProgressLogMonitor

          public ProgressLogMonitor(ProgressLog log,
                            IProgressMonitor delegate)

    - #### ProgressLogMonitor

          public ProgressLogMonitor(ProgressLog log)

  - ### Method Detail

    - #### isCanceled

          public boolean isCanceled()

      Specified by:
        `isCanceled` in interface `IProgressMonitor`
      Overrides:
        `isCanceled` in class `ProgressMonitorWrapper`

    - #### beginTask

          public void beginTask(String name,
                       int totalWork)

      Specified by:
        `beginTask` in interface `IProgressMonitor`
      Overrides:
        `beginTask` in class `ProgressMonitorWrapper`

    - #### setTaskName

          public void setTaskName(String name)

      Specified by:
        `setTaskName` in interface `IProgressMonitor`
      Overrides:
        `setTaskName` in class `ProgressMonitorWrapper`

    - #### subTask

          public void subTask(String name)

      Specified by:
        `subTask` in interface `IProgressMonitor`
      Overrides:
        `subTask` in class `ProgressMonitorWrapper`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html